MCP Tools Reference: ces.googleapis.com

Outil : start_export_app

Commence à exporter une application CES

L'exemple suivant montre comment utiliser curl pour appeler l'outil MCP start_export_app.

Requête curl
                  
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Schéma d'entrée

Message de requête pour McpService.StartExportApp.

StartExportAppRequest

Représentation JSON
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
Champs
projectId

string

ID du projet de l'application à exporter.

locationId

string

ID de l'application à exporter.

appId

string

ID de l'application à exporter.

Schéma de sortie

Opération qui exporte une application CES.

ExportAppOperation

Représentation JSON
{
  "name": string,
  "done": boolean,
  "content": string
}
Champs
name

string

Nom de ressource de l'opération d'exportation de l'application.

done

boolean

Indique si l'opération est terminée.

content

string (bytes format)

Si la valeur est "true", contient les octets du fichier ZIP de l'exportation compressée de l'application, qui est un dossier contenant les fichiers de configuration de l'application au format YAML.

Chaîne encodée en base64.

Annotations d'outils

Indication de destruction : ❌ | Indication d'idempotence : ❌ | Indication de lecture seule : ❌ | Indication de monde ouvert : ❌